#!/bin/bash

function scroll() {
while read item; do
	printf "%*s" $(($(($(</dev/tty stty size|sed -e 's/[^ ]* \([^ ]*\)/\1/')-$(echo "$item"|wc -c)))/2)) ""
	echo $item
	sleep 1
done
}

function build_arg_list() {
	</var/lib/dpkg/available sed -ne 's/^Maintainer: //p' |
		sort -u -k1.1,3.0 |
		unsort
}

while true ; do
	build_arg_list | scroll
done
